package users

import (
	userv1 "git.sch9.ru/new_gate/ms-auth/proto/user/v1"
	"github.com/gofiber/fiber/v2"
)

type UserHandlers interface {
	ListSessions(c *fiber.Ctx) error
	CompleteLogout(c *fiber.Ctx) error
	Login(c *fiber.Ctx) error
	Logout(c *fiber.Ctx) error
	Refresh(c *fiber.Ctx) error
	Verify(c *fiber.Ctx) error
	ListUsers(c *fiber.Ctx, params userv1.ListUsersParams) error
	CreateUser(c *fiber.Ctx) error
	DeleteUser(c *fiber.Ctx, id int32) error
	GetUser(c *fiber.Ctx, id int32) error
	UpdateUser(c *fiber.Ctx, id int32) error
}
